DH_VINYLABI(1p)

NAME
dh_vinylabi - calculate the Vinyl Cache ABI dependencies

SYNOPSIS
dh_vinylabi [debhelper options] [--strict] [--force]

DESCRIPTION
dh_vinylabi is a debhelper program that adds appropriate vinylabi-* dependencies on packages that build Vinyl Cache modules.

By default, a vinylabi-* entry is added to misc:Depends to ensure that packages which contain modules that are loaded by Vinyl Cache depend on an appropriate version of the vinyl-cache package.

If --strict is specified, then a dependency on vinylabi-strict-* is added too.

When building the vinyl-cache binary package the program will generate instead misc:Provides entries for vinylabi-* and vinylabi-strict-*.

Substvars entries are only added if a Vinyl Cache module is detected in the build products, unless --force is specified. Modules are detected by searching a package's build products for libraries installed in the Vinyl Cache vmods directory and containing a symbol named vmod_version.

Please note there is a dh addon named vinylabi which can be used to automatically invoke dh_vinylabi for you.

OPTIONS

--force
    Do not try to detect Vinyl Cache modules in the package, and always assume that a module is present. This will cause misc:Depends to always be populated.

NOTES
Note that this command is not idempotent. dh_prep(1) should be called between invocations of this command (with the same arguments). Otherwise, it may cause multiple instances of the same text to be added to the substition variables.

Note that dh_vinylabi should be run before dh_gencontrol. The vinylabi sequence addon for dh does the right thing, this note is only relevant when you are calling dh_vinylabi manually.

SEE ALSO
debhelper(7)

AUTHOR
Originally written by Chris Boot <bootc@debian.org> as dh_ppp(7), then Marco d'Itri <md@linux.it> modified it for Vinyl Cache.